# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class DocumentQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.DocumentQuery

Direct Known Subclasses:
  SpreadsheetQuery, WorksheetQuery

    public class DocumentQuery

extends Query

Simple class for document-based queries, i.e. things that have titles.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary
`static java.lang.String` `DEFAULT_SORT_MODE`
`static java.lang.String` `LAST_MODIFIED_SORT`
`static java.lang.String` `LAST_VIEWED_SORT`
`static java.lang.String` `ORDERBY` The URI parameter for how the query should be sorted, can sort by last-modified, last-accessed, title and starred; will default to last-modified.
`static java.lang.String` `STARRED_SORT`
`static java.lang.String` `TITLE` The URI parameter for querying the title or name of a document.
`static java.lang.String` `TITLE_EXACT` The URI parameter for a boolean flag for whether the title should be matched exactly (case-insensitive or sensitive depending on service).
`static java.lang.String` `TITLE_SORT`

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`DocumentQuery(java.net.URL feedUrl)` Constructs a query for querying spreadsheets that you have access to.

Method Summary
`java.lang.String` `getSortMode()` Gets the sort mode
`java.lang.String` `getTitleQuery()` Gets full-text title query.
`boolean` `isTitleExact()` Gets whether the query should be exact (rather than keyword-based).
`void` `setSortMode(java.lang.String orderby)` Sets the sort mode of the query.
`void` `setTitleExact(boolean exact)` Sets whether the title match should be exact (instead of keyword-based).
`void` `setTitleQuery(java.lang.String titleQuery)` Sets the full-text title search.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE

    public static final java.lang.String TITLE

  The URI parameter for querying the title or name of a document.

  See Also:
    Constant Field Values

### TITLE_EXACT

    public static final java.lang.String TITLE_EXACT

  The URI parameter for a boolean flag for whether the title should be matched exactly (case-insensitive or sensitive depending on service).

  See Also:
    Constant Field Values

### ORDERBY

    public static final java.lang.String ORDERBY

  The URI parameter for how the query should be sorted, can sort by last-modified, last-accessed, title and starred; will default to last-modified.

  See Also:
    Constant Field Values

### LAST_MODIFIED_SORT

    public static final java.lang.String LAST_MODIFIED_SORT

See Also:
  Constant Field Values

### LAST_VIEWED_SORT

    public static final java.lang.String LAST_VIEWED_SORT

See Also:
  Constant Field Values

### TITLE_SORT

    public static final java.lang.String TITLE_SORT

See Also:
  Constant Field Values

### STARRED_SORT

    public static final java.lang.String STARRED_SORT

See Also:
  Constant Field Values

### DEFAULT_SORT_MODE

    public static final java.lang.String DEFAULT_SORT_MODE

See Also:
  Constant Field Values

Constructor Detail

### DocumentQuery

    public DocumentQuery(java.net.URL feedUrl)

  Constructs a query for querying spreadsheets that you have access to.

  Parameters:
    `feedUrl` - the feed's URI

Method Detail

### setTitleQuery

    public void setTitleQuery(java.lang.String titleQuery)

  Sets the full-text title search.

  Parameters:
    `titleQuery` - the title query

### getTitleQuery

    public java.lang.String getTitleQuery()

  Gets full-text title query.

### setTitleExact

    public void setTitleExact(boolean exact)

  Sets whether the title match should be exact (instead of keyword-based). By default, the match is not exact.

  Parameters:
    `exact` - whether the results should be exact

### isTitleExact

    public boolean isTitleExact()

  Gets whether the query should be exact (rather than keyword-based).

  Returns:
    whether the results should be exact

### setSortMode

    public void setSortMode(java.lang.String orderby)

  Sets the sort mode of the query. Can be one of the following: last-modified (default), last-accessed, title, starred

  Parameters:
    `orderby` - the sort mode

### getSortMode

    public java.lang.String getSortMode()

  Gets the sort mode